__gnu_pbds::direct_mod_range_hashing< Size_Type >(3)

NAME
__gnu_pbds::direct_mod_range_hashing< Size_Type > -

SYNOPSIS

Inherits __gnu_pbds::detail::mod_based_range_hashing< Size_Type >.

  Public Types
typedef Size_Type size_type

  Public Member Functions
void swap (direct_mod_range_hashing< Size_Type > &other)

  Protected Member Functions
void notify_resized (size_type size)
size_type operator() (size_type hash) const
size_type range_hash (size_type s) const
void swap (mod_based_range_hashing &other)

Detailed Description

  template<typename Size_Type = std::size_t>class __gnu_pbds::direct_mod_range_hashing< Size_Type >
A mod range-hashing class (uses the modulo function).

Definition at line 141 of file hash_policy.hpp.

Member Function Documentation

  template<typename Size_Type > direct_mod_range_hashing< Size_Type >::size_type __gnu_pbds::direct_mod_range_hashing< Size_Type >::operator() (size_type hash) const [inline], [protected]

Transforms the __hash value hash into a ranged-hash value (using a modulo operation).

Definition at line 57 of file hash_policy.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.